Name:		pgRouting
Version:	2.6.2
Release:	4%{?dist}
Summary:	Provides routing functionality to PostGIS/PostgreSQL
License:	GPLv2+
URL:		http://pgrouting.org
Source0:	https://github.com/pgRouting/pgrouting/archive/v%{version}.tar.gz

BuildRequires:	boost-devel
BuildRequires:	boost-graph
BuildRequires:	boost-thread
BuildRequires:	CGAL-devel
BuildRequires:	cmake
BuildRequires:	gmp-devel
BuildRequires:	postgresql-server-devel
BuildRequires:	proj-devel >= 5.2.0
BuildRequires:	perl(Data::Dumper)

Requires:	postgis

# Postgis possibly should require postgresql-server already. But because we
# provide a PostgreSQL plugin, we need to rebuild for any major PostgreSQL server
# update (e.g. from 9.4 to 9.5). This guards against incompatible
# postgresql-server updates in future.
%{?postgresql_module_requires}

# Quite the only component of postgis that would serve a purpose without the
# server on the same machine, is the shape loader. Suse requires postgresql-
# server on postgis and seemingly got no complaints


%global _privatelibs librouting.*\.so.*
%global __provides_exclude ^(%{_privatelibs})$

%description
pgRouting extends the PostGIS / PostgreSQL geospatial database to provide
geospatial routing functionality.

%prep
%setup -qn pgrouting-%{version}

%build
%{__install} -d build
cd build
%cmake -DPOSTGRESQL_PG_CONFIG=%_bindir/pg_server_config ..

%make_build VERBOSE=1

%install
%{__rm} -rf %{buildroot}
%make_install -C build

%clean
%{__rm} -rf %{buildroot}

%files
%license LICENSE
%doc CODE_OF_CONDUCT.md NEWS README.md CONTRIBUTING.md
%{_libdir}/pgsql/*.so
%{_datadir}/pgsql/extension/*

%changelog
* Sat Aug 31 2019 Devrim Gündüz <devrim@gunduz.org> - 2.6.2-3
- Initial EPEL 8 packaging, based on Fedora rawhide spec file.
